### Constructor

# Gtk.ShortcutTrigger.parse_string

#### Declaration [src]

    GtkShortcutTrigger*
    gtk_shortcut_trigger_parse_string (
      const char* string
    )

#### Description [src]

Tries to parse the given string into a trigger.

On success, the parsed trigger is returned. When parsing failed, `NULL` is returned.

The accepted strings are:

- `never`, for `GtkNeverTrigger`
- a string parsed by `gtk_accelerator_parse()`, for a `GtkKeyvalTrigger`, e.g. `<Control>C`
- underscore, followed by a single character, for `GtkMnemonicTrigger`, e.g. `_l`
- two valid trigger strings, separated by a `|` character, for a `GtkAlternativeTrigger`: `<Control>q|<Control>w`

Note that you will have to escape the `<` and `>` characters when specifying triggers in XML files, such as GtkBuilder ui files. Use `&lt;` instead of `<` and `&gt;` instead of `>`.

#### Parameters

`string` | `const char*`
| the string to parse
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkShortcutTrigger`
a new `GtkShortcutTrigger` or `NULL` on error
Ownership of the data is transferred to the caller
Can be `NULL`